com.collabnet.ce.soap60.webservices.cemain

## Class ProjectSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ProjectSoapRow

-     public class ProjectSoapRow
      extends Object

  ProjectList is used to get a list of project.
  Change History
  Release: 6.1
  - Added Id of the parent project.
  - Added project hierarchy path.
  - Added lock status.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getDateCreated()` Returns 'dateCreated'.
    `String` | `getDescription()` Returns 'description'.
    `String` | `getHierarchyPath()` Returns 'hierarchyPath'.
    `String` | `getId()` Returns 'id'.
    `boolean` | `getLocked()` Returns 'locked'.
    `String` | `getParentProjectId()` Returns 'parentProjectId'.
    `String` | `getPath()` Returns 'path'.
    `String` | `getTitle()` Returns 'title'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDateCreated(Date dateCreated)` Sets 'dateCreated'.
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setHierarchyPath(String hierarchyPath)` Sets 'hierarchyPath'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setLocked(boolean locked)` Sets 'locked'.
    `void` | `setParentProjectId(String parentProjectId)` Sets 'parentProjectId'.
    `void` | `setPath(String path)` Sets 'path'.
    `void` | `setTitle(String title)` Sets 'title'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectSoapRow

          public ProjectSoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'. The id of the project
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'. The id of the project
      Parameters:
        `id` - Value of 'id'.

    - #### getPath

          public String getPath()

      Returns 'path'. The path of the project
      Returns:
        Value of 'path'.

    - #### setPath

          public void setPath(String path)

      Sets 'path'. The path of the project
      Parameters:
        `path` - Value of 'path'.

    - #### getTitle

          public String getTitle()

      Returns 'title'. The title of the project
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'. The title of the project
      Parameters:
        `title` - Value of 'title'.

    - #### getDescription

          public String getDescription()

      Returns 'description'. The detailed description of the project
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. The detailed description of the project
      Parameters:
        `description` - Value of 'description'.

    - #### getDateCreated

          public Date getDateCreated()

      Returns 'dateCreated'. The date the project was created
      Returns:
        Value of 'dateCreated'.

    - #### setDateCreated

          public void setDateCreated(Date dateCreated)

      Sets 'dateCreated'. The date the project was created
      Parameters:
        `dateCreated` - Value of 'dateCreated'.

    - #### getParentProjectId

          public String getParentProjectId()

      Returns 'parentProjectId'. Id of the primary parent project
      Returns:
        Value of 'parentProjectId'.

    - #### setParentProjectId

          public void setParentProjectId(String parentProjectId)

      Sets 'parentProjectId'. Id of the primary parent project
      Parameters:
        `parentProjectId` - Value of 'parentProjectId'.

    - #### getHierarchyPath

          public String getHierarchyPath()

      Returns 'hierarchyPath'. The complete hierarchy of the project
      Returns:
        Value of 'hierarchyPath'.

    - #### setHierarchyPath

          public void setHierarchyPath(String hierarchyPath)

      Sets 'hierarchyPath'. The complete hierarchy of the project
      Parameters:
        `hierarchyPath` - Value of 'hierarchyPath'.

    - #### getLocked

          public boolean getLocked()

      Returns 'locked'. The locked status of the project.
      Returns:
        Value of 'locked'.

    - #### setLocked

          public void setLocked(boolean locked)

      Sets 'locked'. The locked status of the project.
      Parameters:
        `locked` - Value of 'locked'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.